> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datadocked.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vessel Management Data

> Retrieve vessel management information including registered owner, ship manager, ISM manager, P&I club, and classification society. Costs 3 credits per request. Rate limit: 50 requests/min.

Retrieve vessel management information including registered owner, ship manager, ISM manager, P\&I club, and classification society.

<Info>
  **Credits:** 1 credit per request
</Info>

## Response Fields

* **Registered Owner**: Company name, address, email, website
* **Ship Manager**: Company name, address, email, website
* **ISM Manager**: Company name, address, email, website
* **P\&I Club**: Protection and Indemnity insurance details
* **Classification Society**: Class society name


## OpenAPI

````yaml GET /get-vessel-management-data
openapi: 3.1.0
info:
  title: Data Docked Maritime API
  description: >-
    A comprehensive maritime data API providing real-time vessel tracking, port
    operations, inspection data, and more. Access AIS data, vessel particulars,
    management information, and historical tracking data.
  version: 1.0.0
  contact:
    name: Data Docked Support
    url: https://datadocked.com/contact
servers:
  - url: https://datadocked.com/api/vessels_operations
    description: Production server
security:
  - apiKey: []
tags:
  - name: Account
    description: Account management endpoints
  - name: Vessel Operations
    description: Vessel data, location, and tracking endpoints
  - name: Port Operations
    description: Port calls and port data endpoints
paths:
  /get-vessel-management-data:
    get:
      tags:
        - Vessel Operations
      summary: Get Vessel Management Data
      description: >-
        Retrieve vessel management information including registered owner, ship
        manager, ISM manager, P&I club, and classification society. Costs 3
        credits per request. Rate limit: 50 requests/min.
      operationId: getVesselManagementData
      parameters:
        - name: imo_or_mmsi
          in: query
          required: true
          description: The IMO or MMSI number of the vessel you want to query.
          schema:
            type: string
          example: '9184419'
      responses:
        '200':
          description: Successful response with management data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VesselManagementResponse'
        '400':
          description: Bad request - Invalid IMO/MMSI format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VesselManagementResponse:
      type: object
      properties:
        detail:
          type: object
          properties:
            name:
              type: string
            imo:
              type: string
            mmsi:
              type: string
            management:
              $ref: '#/components/schemas/ManagementData'
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error type
        message:
          type: string
          description: Error message
    ManagementData:
      type: object
      properties:
        P&I:
          type: string
          description: P&I club information
        ism:
          type: string
          description: ISM manager
        ismWeb:
          type: string
          description: ISM manager website
        manager:
          type: string
          description: Ship manager
        ismEmail:
          type: string
          description: ISM manager email
        ismAddress:
          type: string
          description: ISM manager address
        ismWebsite:
          type: string
          description: ISM manager website
        managerEmail:
          type: string
          description: Manager email
        managerAddress:
          type: string
          description: Manager address
        managerWebsite:
          type: string
          description: Manager website
        registeredOwner:
          type: string
          description: Registered owner
        registeredOwnerEmail:
          type: string
          description: Owner email
        ClassificationSociety:
          type: string
          description: Classification society
        registeredOwnerAddress:
          type: string
          description: Owner address
        registeredOwnerWebsite:
          type: string
          description: Owner website
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your personal API key found in your profile dashboard at
        https://datadocked.com/dashboard/my_keys

````